Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IDenoiseMetadata Class Reference
CaptureMetadata

Interface to denoise metadata. More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IDenoiseMetadata:

List of all members.

## Public Member Functions
virtual DenoiseMode | getDenoiseMode () const =0
| Returns the denoise mode used for the capture.
virtual float | getDenoiseStrength () const =0
| Returns the denoise strength used for the capture.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IDenoiseMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to denoise metadata.

Definition at line 379 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IDenoiseMetadata::~IDenoiseMetadata | ( |  | ) |
| inline protected

Definition at line 395 of file CaptureMetadata.h.

## Member Function Documentation

virtual DenoiseMode Argus::IDenoiseMetadata::getDenoiseMode | ( |  | ) | const
| pure virtual

Returns the denoise mode used for the capture.

virtual float Argus::IDenoiseMetadata::getDenoiseStrength | ( |  | ) | const
| pure virtual

Returns the denoise strength used for the capture.

static const InterfaceID& Argus::IDenoiseMetadata::id | ( |  | ) |
| inline static

Definition at line 382 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h